connman (1.44-3.0antix3) unstable; urgency=medium

  * modified post/pre scripts to deal with runit-antix and init-diversity - many thanks to ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sun, 08 Jun 2025 16:33:16 +0300

connman (1.44-3.0antix2) unstable; urgency=medium

  * Remove /etc/resolv.conf if it is a dead link in runit script

 -- anticapitalista <antix@operamail.com>  Tue, 27 May 2025 19:35:28 +0300

connman (1.44-3.0antix1) nosystemd; urgency=medium

  * set AllowHostnameUpdates=false
  * include runit services 

 -- anticapitalista <antix@operamail.com>  Tue, 13 May 2025 17:15:59 +0300

connman (1.44-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing CVE-2025-32366 (Closes: #1102193)
  * Set myself as Maintainer.
  * Improve DEP3 headers of other patches.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 13 May 2025 09:06:57 +0200

connman (1.44-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream patch fixing CVE-2025-32743 (Closes: #1103530)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 06 May 2025 22:47:54 +0200

connman (1.44-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.44
  * Refresh patch
  * Fix old-fsf-address-in-copyright-file
  * Add debian/salsa-ci.yml
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 12 Apr 2025 17:40:21 +0200

connman (1.43-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.43
  * Add upstream tarballs signature
  * Drop patch included in upstream release
  * wrap-and-sort
  * Drop obsolete URL in debian/upstream/metadata
  * Drop superfluous file stanza in debian/copyright
  * Simplify debian/rules
  * Use dh-sequence-ppp
  * Don't remove *.la files but instead mark them as not-installed

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Sep 2024 13:11:13 +0200

connman (1.42-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jan 2024 15:06:09 +0100

connman (1.42-4) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * Use systemd.pc to place systemd system unit files (Closes: #1057923)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 Dec 2023 20:51:55 +0100

connman (1.42-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 Dec 2023 09:56:29 +0100

connman (1.42-2) experimental; urgency=medium

  [ Vignesh Raman ]
  * Introduce a connman-tests package (Closes: #924934)
  * Update debian/copyright

  [ Dylan Aïssi ]
  * Add Forwarded field in d/p/0001-Add-libppp-compat.h.patch
  * Standardize patches name
  * Make debian/copyright more readable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Dec 2023 13:35:02 +0100

connman (1.42-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * debian/rules: Drop --fail-missing argument to dh_missing.
  * Update renamed lintian tag names in lintian overrides.
  * Fix field name typo in debian/upstream/metadata.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete field Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entry 1.33-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Vignesh Raman ]
  * New upstream version 1.42 (Closes: #1055183)
  * Drop upstream patches
  * Backport libppp-compat.h from upstream since upstream hasn't
    included the newly added libppp-compat.h header into the tarball.
  * debian/control: Drop lsb-base package as it's deprecated
  * d/changelog: Fix lintian warning debian-changelog-line-too-long
  * d/control: Fix capitalization-error-in-description
  * Removed outdated lintian-overrides files
  * d/control: Update the standards version
  * d/copyright: Update copyright
  * d/control: declare Rules-Requires-Root: no
  * d/patches: Add Forwarded: not needed

 -- Vignesh Raman <vignesh.raman@collabora.com>  Tue, 14 Nov 2023 17:58:20 +0100

connman (1.41-3) unstable; urgency=medium

  * gdhcp: Verify and sanitize packet length first (CVE-2023-28488)

 -- Vignesh Raman <vignesh.raman@collabora.com>  Fri, 14 Apr 2023 15:15:14 +0530

connman (1.41-2) unstable; urgency=medium

  * d/patches: (Closes: #1016976)
    + wispr-Add-reference-counter-to-portal-context.patch: fixes
      CVE-2022-32293
    + wispr-Update-portal-context-references.patch: fixes
      CVE-2022-32293
    + gweb-Fix-OOB-write-in-received_data.patch: fixes
      CVE-2022-32292
  * debian/control: new upstream url
    https://git.kernel.org/pub/scm/network/connman/connman.git (Closes: #992584)

 -- Vignesh Raman <vignesh.raman@collabora.com>  Fri, 19 Aug 2022 10:50:06 +0530

connman (1.41-1) unstable; urgency=medium

  * New upstream version 1.41
  * Drop upstream patches
  * Salvage the package (Closes: #1006924)

  [ Alf Gaida ]
  * Added new files to d/copyright and fixed the renamed ones
  * Added upstream metadata
  * Added Pre-Depends: ${misc:Pre-Depends}
  * Added patch to prevent service file shutdown problems

  [ Bastian Germann ]
  * Add openconnect which is enabled by d/rules
  * Install vpn-script (formerly openconnect-script)
  * Add libmnl dependency to build wireguard plugin

 -- Vignesh Raman <vignesh.raman@collabora.com>  Tue, 08 Mar 2022 15:05:58 +0530

connman (1.36-2.4) unstable; urgency=medium

  * d/patches: (Closes: #1004935)
    + 0008-dnsproxy-Validate-input-data-before-using-them.patch: fixes
      CVE-2022-23096, CVE-2022-23097
    + 0009-dnsproxy-Avoid-100-busy-loop-in-TCP-server-case.patch: fixes
      CVE-2022-23098
  * Bump debhelper version from deprecated 11 to 12

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 25 Feb 2022 21:06:06 -0800

connman (1.36-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: license on client/* is GPL-2+
    Upstream commit 27e37a50 relicensed this to GPL-2+ to fix the license
    incompatibility with GPL-3+ releases of libreadline. (Closes: #979100)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 09 Oct 2021 14:49:52 -0600

connman (1.36-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * dnsproxy: Check the length of buffers before memcpy (CVE-2021-33833)
    (Closes: #989662)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Jun 2021 20:48:07 +0200

connman (1.36-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * gdhcp: Avoid reading invalid data in dhcp_get_option (CVE-2021-26676)
  * gdhcp: Avoid leaking stack data via unitiialized variable (CVE-2021-26676)
  * dnsproxy: Add length checks to prevent buffer overflow (CVE-2021-26675)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Feb 2021 14:42:50 +0100

connman (1.36-2) unstable; urgency=medium

  * Ported back upstream commit for iwd device state (Closes: #913632)
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 29 Dec 2018 14:00:23 +0100

connman (1.36-1) unstable; urgency=medium

  * Adding upstream version 1.36
  * Removed fix-tethering-includes.patch, was backported from upstream
  * Fixed some installation pathes
  * Bumped copyright year

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 May 2018 15:45:34 +0200

connman (1.35-7) unstable; urgency=medium

  * Remove directory main.conf if it exists.
    Addition to (LP: 1724574)
  * Enabled iwd support and added it to recommends (Closes: #896686)
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields to salsa
  * Removed trailing whitespaces

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 02:02:28 +0200

connman (1.35-6) unstable; urgency=medium

  * Override lintian warning about unusual wandtedby target

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Feb 2018 00:34:47 +0100

connman (1.35-5) unstable; urgency=medium

  * Fix include order in tethering.c - backported from upstream.

 -- Alf Gaida <agaida@siduction.org>  Tue, 20 Feb 2018 19:26:59 +0100

connman (1.35-4) unstable; urgency=medium

  * The provided patch was not enough - added a minimum version for
    ppp-dev >= 2.4.7-2+

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Feb 2018 18:47:06 +0100

connman (1.35-3) unstable; urgency=medium

  [ Chris Boot ]
  * Use dh_ppp to generate Breaks for ppp (Closes: #890207)

  [ Alf Gaida ]
  * Removed uploaders Mathieu and Shawn (no activity, no valid mail address).
    Thank you for your contributions. (Closes: #884620)
  * Bump compat to 11
  * Bump debhelper to 11
  * Bump Standards to 4.1.3, no changes needed
  * Bumped copyright year
  * Fixed rules, removed --with systemd
  * Removed build dependency dh-systemd
  * Use secure uri in watch
  * Fixed some typos in manpages
  * Removed lintian overrides for typos

 -- Alf Gaida <agaida@siduction.org>  Sat, 17 Feb 2018 15:22:45 +0100

connman (1.35-2) unstable; urgency=medium

  * Fixed: main.conf is installed in wrong location
    (LP: 1724574) Thanks Vasyl Vavrychuk <vavrychuk@gmail.com> for spotting

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 04:17:15 +0100

connman (1.35-1) unstable; urgency=medium

  * Adding upstream version 1.35.
  * Removed superfluous build dependencies autoconf-dev and dh-autoreconf
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 11 Aug 2017 20:04:40 +0200

connman (1.34-1) unstable; urgency=medium

  * Imported upstream-version 1.34
  * Removed obsolete fix-failure-kernel-4.5.patch
  * Removed obsolete deb822610-add-manpage-option.patch, applied upstream
  * Removed obsolete dhcp-follow-rfc.patch, applied upstream
  * Bumped Standards to 4.0.0
  * Removed debian/connman.upstart, not supported according to new standards
  * install main.conf (Closes: #858801)
    Thanks David Lechner <david@lechnology.com>
  * install connman in /usr/bin (Closes: #858799)
    Thanks David Lechner <david@lechnology.com>
  * Improved lintian-overrides

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Jun 2017 18:29:03 +0200

connman (1.33-3) unstable; urgency=high

  * Fix connman.postrm (Closes: #849345)
    - don't remove state-dir unless when purge
    - make removing the resolv.conf symlink more sophisticated
  * Suggests: connman-vpn

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Dec 2016 02:12:30 +0100

connman (1.33-2) unstable; urgency=medium

  [ Alf Gaida ]
  * Restrict Architecture to linux-any, connman will never work on non
    linux systems - unless systemd will be ported for them
  * debian/README.debian is always removed (Closes: #833297)
  * Make connman postinst and postrm more complete
    - Added exit 0
    - Delete left over /etc/resolv.conf (Closes: #843535)

  [ Gianfranco Costamagna ]
  * Enforce minimum autoconf version, to ease backporting.

  [ Arturo Borrero Gonzalez ]
  * Fix dependency to iptables/libxtables (Closes: #845383)

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Oct 2016 21:13:23 +0200

connman (1.33-1) unstable; urgency=medium

  [ Alexander Sack ]
  * document forwarding-info for deb822610-add-manpage-option.patch
  * drop asac@ubuntu.com from Uploaders

  [ Alf Gaida ]
  * Cherry-picked upstream-version 1.33
  * Format control with cme
  * Use version 4 in watch file
  * Bump compat to 10, build depend on debhelper (>=10)
  * Build out of the tree (--builddir build)
  * Removed outdated debian/manpages
  * Install project manpages
  * Added hardening flags
  * Reduce dependencies
  * Deleted obsolete README.debian - connman conflicts with  n-m, wicd
    and resolvconf
  * Removed second --enable-l2tp from config
  * Added --enable-threads and --enable-pie
  * Removed dependency shlibs from connman-dev
  * Some copyright fixes
  * Added connman.lintian-overrides
  * Added connman-vpn.overrides
  * Removed --parallel from rules, standard compat 10
  * added dhcp-follow-rfc.patch (Closes: #839871)
    thanks Kristian Klausen <klausenbusk@hotmail.com>
  * Follow the Multiarch hinter:
    - Marked connman-doc Multi-Arch: foreign
    - Marked connman-dev Multi-Arch: same

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Oct 2016 16:50:00 +0100

connman (1.32-1) unstable; urgency=medium

  * confirm NMUs 1.32-0.1, 1.21-1.1 and 1.21-1.2
  * fix FTBmFS in sid (Closes: #835735)
    - adding --with-tmpfilesdir=/usr/lib/tmpfiles.d to avoid systemd build-dep
  * fix missing manpage option (Closes: #822610)
    - debian/patches/deb822610-add-manpage-option.patch
  * remove /var/lib/connman on purge in connman.postrm (Closes: 833294)

 -- Alexander Sack <asac@debian.org>  Tue, 06 Sep 2016 15:38:03 +0200

connman (1.32-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Shawn Landden ]
  * New upstream release (1.29) (Closes: #742408)
    - Drop 02-test-pbkdf2-sha1-maximum-salt-len-should-be-32-instead.patch
  * Conflict with resolvconf (Closes: #763628)
  * Conflict with wicd-daemon instead of wicd metapackage (Closes: #745874, #797638)
  * Enable pptp and l2tp vpn plugins (Closes: #751234)
  * debian/copyright: some files have moved, use kernel.org git url for source
  * debian/control: new upstream url http://01.org/connman

  [ Mateusz Łukasik ]
  * Take git changes from git to version 1.29 it never was upload to Debian.
  * New upstream release (1.31) (Closes: #813580, #813647)
    - cherry-pick the two patches from git
  * Refresh 01-init-script-lsb-headers.patch.
  * debian/connman.install: update for new files.

  [ Gianfranco Costamagna ]
  * New upstream release (1.32)
  * Fix build failure with recent headers:
    - d/p/fix-ftbfs-headers.patch (Closes: #822393)
  * debian/patches/fix-failure-kernel-4.5.patch:
    - fix build failure with kernel 4.5.1, due to bad kernel commit
      1ffad83dffd675cd742286ae82dca7d746cb0da8 (cfr: #822393)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 27 Apr 2016 19:40:29 +0200

connman (1.21-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add Breaks+Replaces: connman (<< 1.21-1) to connman-vpn.
    (Closes: #768116)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Nov 2014 13:23:34 +0100

connman (1.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libgnutls28-dev. Closes: #753022

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 14:38:16 +0200

connman (1.21-1) unstable; urgency=low

  * New upstream release. (Closes: #688238)
  * Add myself to the list of uploaders.
  * Bump Standards Version to 3.9.5 (no changes required).
  * Build from upstream git:
    - Use dh-autoreconf.
  * Use init-system-helpers/dh-systemd.
  * Split off connman-vpn.
  * Rework descriptions (From Patrik Flykt <patrik.flykt@linux.intel.com>).
  * Also install manpage for connmanctl.
  * Add patch to remove obsolete After=syslog.target
    from systemd service file:
    - debian/patches/0001-remove-After-syslog.target-obsolete.patch

 -- Shawn Landden <shawn@churchofgit.com>  Mon, 10 Feb 2014 19:40:38 -0800

connman (1.15-0ubuntu2) saucy; urgency=low

  * Adding 02-test-pbkdf2-sha1-maximum-salt-len-should-be-32-instead.patch:
    - Fixing pbkdf2-sha1 test case that had a wrong salt len

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 10 Jun 2013 02:06:39 -0300

connman (1.15-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix_build_with_kernel_3.8.0.patch: removing, not needed
    anymore
  * debian/connman.install: adding missing man pages

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 09 Jun 2013 19:01:26 -0300

connman (1.10-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Resynchronize with Debian, remaining changes:
    - Add upstart script.
    - Add apport hook and crashdb file.
    - Notify the user a reboot is required after updating connman.
    - Don't disable the service if NetworkManager or wicd are installed; we use
      Conflicts instead.
    - Recommend indicator-network.
  * debian/patches/02-CVE-2012-6459.patch: dropped, included upstream.
  * debian/connman.upstart: start connman with the --no-backtrace option, so
    apport can catch the crashes.
  * debian/connman.upstart: drop -c; it's missing a parameter and that breaks
    starting connman.
  * debian/control: add libreadline-dev to Build-Depends.
  * debian/patches/fix_build_with_kernel_3.8.0.patch: workaround broken headers
    in kernel 3.8.0-rc4; specifically if_bridge.h has an incomplete definition
    of in6_addr...
  * debian/connman.install: fix up installed files to match what upstream
    provides. Also ship connmanctl for good measure.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 01 Feb 2013 10:36:13 -0500

connman (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch to fix bluetooth offline visibility
    issue CVE-2012-6459 (Closes: #697580).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 09 Jan 2013 15:32:22 +0100

connman (1.0-1) unstable; urgency=high

  [ Andrew Brouwers ]
  * New upstream release (Closes: #583925, #672989)
  * Add debian/watch (Closes: #583928)
  * Update to compat 8 + standards version 3.9.3
    - Remove debian/tmp from install files
  * debian/control:
    - Remove obsolete deps (cdbs, quilt, dpkg-dev, ppp-dev, dhcp3-client)
      (use source format 3.0, too)
    - Add missing deps: iptables-dev, gnutls-dev
    - Add recommends for wpa_supplicant (wifi) + bluez (bluetooth)
    - Add a connman-doc package
  * debian/rules:
    - Convert from cdbs -> dh; most of the details outling patches and source
      mangling should be obsolete with regular stable tarball releases;
      simplify the rules file accordingly
    - Add support for openvpn + openconnect to configure
    - Specify systemd unit-file location to provide upstream systemd unit
  * Remove NM compatibility mode from default init-script options (no longer
    available upstream); remove connman.default accordingly
  * Use dh_installinit for initscript install, and eliminate post/pre-install
    files used to manage the init script; thanks to Patrik Flykt for the
    suggestion!
  * Update debian/copyright for DEP5 + GPL-2 simplification
  * Punt debian/README.source - docs/*.txt should be covered by copyright
    now - update note accordingly

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Set VCS-* fields to new location.
    - Add a Conflicts: network-manager, wicd to the connman binary package,
      since they all try to manage the same network devices.
    - Fix my name in uploaders for proper signing.
    - Add a Depends for dbus, lsb-base to connman.
  * debian/copyright: updated and fixed to adhere to DEP-5 format.
  * debian/rules:
    - override dh_auto_install to fail on files that aren't installed; also
      clean up on .la files.
    - clean up on the debian/connman.init file we copy in installinit.
    - use --restart-on-upgrade for dh_installinit
  * debian/patches/01-init-script-lsb-headers.patch: more fixes to the init
    script:
    - set LSB Default-Stop, add NAME, drop 'set -e'.
    - add support for a "status" command.
  * debian/control, debian/compat: bump to compat level 9, to get the hardening
    flags at build time.
  * debian/connman.install, debian/connman-dev.install: make the paths multiarch
    aware (since that comes along with compat 9).
  * debian/connman.postinst, debian/rules: disable the connman init script on
    install if NetworkManager or wicd are installed. See README.Debian.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 May 2012 22:09:35 -0400

connman (0.48+dfsg-2) unstable; urgency=low

  * Ubuntu/Debian sync upload
  * Re-add missing changes from 0.45+dfsg that made it only in Ubuntu:
    - ship development parts in a connman-dev package (Closes: 546616)
      - add debian/connman-dev.install
      - update debian/control
  * Update long descriptions for connman and connman-dev
    - update debian/control
  * Add missing Depends on libglib2.0-dev, libdbus-1-dev for connman-dev
    - update debian/control
  * Don't run bootstrap twice during build.
    - update debian/rules
  * Remove old configure option: enable-ppp, with-pppd, enable-novatel,
    enable-huawei and enable-modemmgr are no longer recognized.
    - update debian/rules

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Fri, 12 Feb 2010 10:08:03 -0500

connman (0.48+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop PolicyKit support for now (Closes: #549497)
    - update debian/connman.install
    - update debian/control
    - update debian/rules
  * Exclude /usr/lib/connman from being handled by dh_makeshlibs.
    - update debian/rules
  * Add Depends for libdbus-1-dev and libglib2.0-dev.
    - update debian/control
  * Clean connman.install to remove inexistant files.
    - update debian/connman.install
  * Add new uploader: Mathieu Trudel
    - update debian/control
  * Bump debhelper b-dep to 7, add missing compat file.
    - update debian/control
    - add debian/compat
  * Bump Standards-Version to 3.8.4
    - update debian/control
  * Remove duplicate Section: net from binary package entry.
    - update debian/control
  * Update LSB headers patch to follow DEP-3 guidelines.
    - update debian/patches/01-init-script-lsb-headers.patch
  * Add debian/watch
  * Silence update-rc.d in postinst and postrm scripts.
    - update debian/connman.postinst
    - update debian/connman.postrm
  * Add manpage for connmand
    - add debian/manpages/connmand.8
    - add debian/connman.manpages

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Wed, 03 Feb 2010 22:54:32 -0500

connman (0.45+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Ship development parts in a connman-dev package (Closes: 546616)
    - add debian/connman-dev.install
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 13 Jan 2010 06:32:31 +0100

connman (0.42+dfsg-1) unstable; urgency=low

  * new upstream release. (LP: #444172)

  [ Alexander Sack <asac@ubuntu.com> ]
  * LP: #402998 - homepage used in package is outdated; updated to
    http://www.connman.net
    - update debian/control
  * LP: #402999 - add Vcs-Browser to debian/control and change Vcs-Bzr
    to read/write location
    - update debian/control
  * LP: #400576 - Please use compatible mode to provide NetworkManager
    dbus interface; ship a /etc/default/connman which enables NM
    compatibility mode; also include example how to enable debugging
    - add debian/connman.default
  * Explicitly install init script
    - debian/connnman.install
  * Set --only-scripts parameter for dh_installinit (cdbs)
    - update debian/rules

  [ Mathieu Trudel <mathieu.tl@gmail.com> ]
  * Bump Standards-Version to 3.8.3
    - update debian/control
  * Add GIT_BRANCH, GIT_BRANCH_NAME, DEB_MAJOR_VERSION to support daily builds
    - update debian/rules
  * Add update-local-branch code to work with local git copies
    - update debian/rules
  * Revise get-orig-source code, add get-current-source and GET_SOURCE snippets
    - update debian/rules
  * Handle dfsg special case, add MAKE_DFSG_COMPLIANT snippet
    - update debian/rules
  * Add pre-build, clean targets
    - update debian/rules
  * Patch init script to add LSB headers (Closes: #543869)
    - add debian/patches/01-init-script-lsb-headers.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Sat, 31 Oct 2009 13:59:48 +0100

connman (0.42+dfsg-0ubuntu1) karmic; urgency=low

  * New upstream release. (LP: #444172)

  [ Alexander Sack <asac@ubuntu.com> ]
  * LP: #402998 - homepage used in package is outdated; updated to
    http://www.connman.net
    - update debian/control
  * LP: #402999 - add Vcs-Browser to debian/control and change Vcs-Bzr
    to read/write location
    - update debian/control
  * LP: #400576 - Please use compatible mode to provide NetworkManager
    dbus interface; ship a /etc/default/connman which enables NM
    compatibility mode; also include example how to enable debugging
    - add debian/connman.default
  * Explicitly install init script
    - debian/connnman.install
  * Set --only-scripts parameter for dh_installinit (cdbs)
    - update debian/rules

  [ Mathieu Trudel <mathieu.tl@gmail.com> ]
  * Bump Standards-Version to 3.8.3
    - update debian/control
  * Add GIT_BRANCH, GIT_BRANCH_NAME, DEB_MAJOR_VERSION to support daily builds
    - update debian/rules
  * Add update-local-branch code to work with local git copies
    - update debian/rules
  * Revise get-orig-source code, add get-current-source and GET_SOURCE snippets
    - update debian/rules
  * Handle dfsg special case, add MAKE_DFSG_COMPLIANT snippet
    - update debian/rules
  * Add pre-build, clean targets
    - update debian/rules
  * Patch init script to add LSB headers (Closes: #543869)
    - add debian/patches/01-init-script-lsb-headers.patch
    - update debian/patches/series

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 14 Oct 2009 23:59:04 +0200

connman (0.30+git.1.5b69740e1+dfsg-1) unstable; urgency=low

  * Upstream snapshot for debian: 0.30+git.1.5b69740e1 (Closes: #475022)
  * Addresses ftp-master review concerns; see: 0.19+dfsg-1
  * Setup debian packaging branch:
    - https://code.launchpad.net/~asac/connman/connman.debian.unstable
    - adjust Vcs-Bzr: in debian/control accordingly
  * debian/rules: make get-orig-source aware of +dfsg suffix

 -- Alexander Sack <asac@ubuntu.com>  Wed, 22 Jul 2009 10:41:55 +0200

connman (0.30+git.1.5b69740e1+dfsg-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/rules: make get-orig-source aware of +dfsg suffix

 -- Alexander Sack <asac@ubuntu.com>  Wed, 22 Jul 2009 10:37:21 +0200

connman (0.23+git.1.e08a09987-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Fix broken build dependency: gtk-doc-tools
    - update debian/control

 -- Tony Espy <espy@ubuntu.com>  Tue, 14 Jul 2009 21:23:02 -0400

connman (0.19+dfsg-1) unstable; urgency=low

  * New copyright format; properly document docs
    - update debian/copyright
  * Remove dfsg non-free files on tarball production
    - update debian/rules
  * Document source information (e.g. files removed due to dfsg non-freeness)
    - add debian/README.source

 -- Alexander Sack <asac@ubuntu.com>  Mon, 08 Jun 2009 14:15:01 +0200

connman (0.19-0ubuntu1) karmic; urgency=low

  * New upstream release.

 -- Tony Espy <espy@canonical.com>  Mon, 25 May 2009 12:18:32 +0200

connman (0.17-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Fix get-orig-source target to create tarball in topsrcdir
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Mon, 25 May 2009 12:13:33 +0200

connman (0.15+git.1.864cd602c-0ubuntu1) karmic; urgency=low

  * New upstream snapshot 0.15 + git 864cd602c
  * Drop upstreamed patches
    - delete debian/patches/fix_dhclient_configure_typo.patch
    - delete debian/patches/fix_ubuntu_init_script.patch
    - update debian/patches/series
  * Enable more plugins: modemmgr and ethernet
    - update debian/rules
  * Make debian/rules in bzr executable
    - update debian/rules
  * Add get-orig-source target that parses changelog to guess git commit
    id or tag
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 14 May 2009 18:47:17 +0200

connman (0.10+git20090203t223225-1) unstable; urgency=low

  * Initial upload to Debian - (Closes: #475022)
  * debian/control: add Vcs-Bzr info pointing to
    + https://code.launchpad.net/~asac/connman/connman.ubuntu.head

 -- Alexander Sack <asac@ubuntu.com>  Fri, 03 Apr 2009 14:02:57 +0200

connman (0.10+git20090203t223225-0ubuntu3) jaunty; urgency=low

  * debian/connman.postinst: making update-notifier optional, as
    otherwise we would need a dependency on it (LP: #332217)

 -- bojo42 <bojo42@gmail.com>  Fri, 20 Feb 2009 17:22:28 +0100

connman (0.10+git20090203t223225-0ubuntu2) jaunty; urgency=low

  * debian/patches/fix_ubuntu_init_script.patch: pass --make-pidfile to
    start-stop-daemon invokation as connman doesnt create its own PIDFILE
  * debian/patches/series: new series file
  * debian/copyright: fix copyright/licensing details
  * debian/control: fix Section: net

 -- Alexander Sack <asac@ubuntu.com>  Tue, 17 Feb 2009 20:41:25 +0100

connman (0.10+git20090203t223225-0ubuntu1) jaunty; urgency=low

  * Initial release.

 -- Alexander Sack <asac@ubuntu.com>  Tue, 17 Feb 2009 11:58:09 +0100
